# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "chromiumoxide"
version = "0.2.0"
authors = ["Matthias Seitz <matthias.seitz@outlook.de>"]
description = "Library for interacting with a chrome instance with the chrome devtools protocol"
homepage = "https://github.com/mattsse/chromiumoxide"
readme = "README.md"
keywords = ["chrome", "chromedriver", "puppeteer", "automation"]
categories = ["web-programming", "api-bindings", "development-tools::testing"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/mattsse/chromiumoxide"

[[example]]
name = "wiki-tokio"
required-features = ["tokio-runtime"]
[dependencies.anyhow]
version = "1.0"

[dependencies.async-std]
version = "1.9"
features = ["attributes", "unstable"]
optional = true

[dependencies.async-tungstenite]
version = "0.13"

[dependencies.base64]
version = "0.13"

[dependencies.cfg-if]
version = "1.0"

[dependencies.chromiumoxide_cdp]
version = "0.2"

[dependencies.chromiumoxide_types]
version = "0.2"

[dependencies.fnv]
version = "1.0"

[dependencies.futures]
version = "0.3"

[dependencies.futures-timer]
version = "3.0"

[dependencies.log]
version = "0.4"

[dependencies.pretty_env_logger]
version = "0.4"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.1"
features = ["rt", "rt-multi-thread", "time", "fs", "macros"]
optional = true

[dependencies.url]
version = "2.2"

[dependencies.which]
version = "4.0"
[dev-dependencies.chrono]
version = "0.4"

[dev-dependencies.proc-macro2]
version = "1.0"

[dev-dependencies.quote]
version = "1.0"

[features]
async-std-runtime = ["async-std", "async-tungstenite/async-std-runtime"]
default = ["async-std-runtime"]
tokio-runtime = ["tokio", "async-tungstenite/tokio-runtime"]
[target."cfg(windows)".dependencies.winreg]
version = "0.8"
